import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:flutter_boost/flutter_boost.dart';
import 'package:gmalpha_flutter/Annotations/RouterCenterRestore.mark.dart';
import 'package:gmalpha_flutter/commonModel/app_module.dart';
import 'package:gmalpha_flutter/commonModel/ui/ALColors.dart';
import 'package:gmalpha_flutter/commonModel/net/DioUtil.dart';
import 'package:dio/dio.dart';
import 'package:gmalpha_flutter/messageModel/home/message_home.dart';

import 'comment_suggest.dart';

void main() async {
  await applicationInit();
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();

    FlutterBoost.singleton.registerPageBuilders({
      'comment_suggest': (pageName, params, _) => CommentSuggest(params),
      'message_home': (pageName, params, _) => MessageHomePage(params),
      'album': (pageName, params, _) {
        var param = params["needCamera"];
        var param1 = params["aa"];
        var param2 = params["ww"];
        return RouterCenterImpl().findAlbumRouter().getAlbumPage(param, param1, param2);
      }
    });
    FlutterBoost.handleOnStartPage();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Boost example',
      debugShowCheckedModeBanner: false,
      initialRoute: '/test',
      //调试的时候可以打开
      routes: {
        // '/': (context) => CommentSuggest({"Cookie":" _gm_token=7e48641558699683; sessionid=nb3ze4ur7ucosln8sd8pzwojddenv9ym; _gtid=a1bc0a387e1911e996b9525400fa516d4094"}),
        '/': (context) {
//          var findMessageRouter = RouterCenterImpl().findMessageRouter();
//          if (findMessageRouter == null) {
//            return null;
//          }
//          return findMessageRouter.getMessagePage({});
//          return RouterCenterImpl().findUserRouter()?.getUserPage();
//        return RouterCenterImpl().findAlbumRouter().getAlbumPage(true, 9, null);
        return RouterCenterImpl().findPrestigeRouter()?.getReputationsPage("sessionid=9odo0sov71x66ke9dlphibnq9i9gduxj; _gtid=3fbe9b78d2cb11e98bc1525400e82fab5270; _gm_token=db88861568285036");
//            var findUserRouter = RouterCenterImpl().findUserRouter();
//            if(findUserRouter==null){
//              return null;
//            }
//            return findUserRouter.getUserPage();
        },
      },
      //调试的时候可以打开
      builder: FlutterBoost.init(postPush: _onRoutePushed),
      theme: new ThemeData(
        primaryColor: Colors.white,
        backgroundColor: Color(0xFFEFEFEF),
        accentColor: Color(0xFF888888),
        textTheme: TextTheme(
          //设置Material的默认字体样式
          body1: TextStyle(color: Color(0xFF888888), fontSize: 16.0),
        ),
        iconTheme: IconThemeData(
          color: Color(0xFFEFEFEF),
          size: 35.0,
        ),
      ),
    );
  }

  void _onRoutePushed(
      String pageName, String uniqueId, Map params, Route route, Future _) {}
}
